using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace BB_Romanovskaya
{
    public partial class zapis : Form
    {
        public zapis()
        {
            InitializeComponent();
        }

        private void uslugiBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.uslugiBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.bB_RomanovskayaDataSet);

        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "bB_RomanovskayaDataSet.uslugi". При необходимости она может быть перемещена или удалена.
            this.uslugiTableAdapter.Fill(this.bB_RomanovskayaDataSet.uslugi);

        }

        private void button1_Click(object sender, EventArgs e)
        {
            uslugiBindingSource.AddNew();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            uslugiBindingSource.RemoveCurrent();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.uslugiBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.bB_RomanovskayaDataSet);
        }

        private void button4_Click(object sender, EventArgs e)
        {
            uslugi f = new uslugi();
            f.Show();
            this.Hide();
        }
    }
}
